|  | Home | Documentation | saml1__ConditionsType::__saml1__union_ConditionsType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
saml1__ConditionsType::__saml1__union_ConditionsType Struct Reference

`#include <saml1.h>`

Collaboration diagram for saml1__ConditionsType::__saml1__union_ConditionsType:
[legend]

## Public Attributes

struct saml1__AudienceRestrictionConditionType * | saml1__AudienceRestrictionCondition
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AudienceRestrictionCondition.
struct saml1__DoNotCacheConditionType * | saml1__DoNotCacheCondition
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"DoNotCacheCondition.
struct saml1__ConditionAbstractType * | saml1__Condition
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"Condition.

## Member Data Documentation

## ◆ saml1__AudienceRestrictionCondition

struct saml1__AudienceRestrictionConditionType* saml1__ConditionsType::__saml1__union_ConditionsType::saml1__AudienceRestrictionCondition

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AudienceRestrictionCondition.

Choice of element (one of multiple choices).

## ◆ saml1__Condition

struct saml1__ConditionAbstractType* saml1__ConditionsType::__saml1__union_ConditionsType::saml1__Condition

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"Condition.

Choice of element (one of multiple choices).

## ◆ saml1__DoNotCacheCondition

struct saml1__DoNotCacheConditionType* saml1__ConditionsType::__saml1__union_ConditionsType::saml1__DoNotCacheCondition

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"DoNotCacheCondition.

Choice of element (one of multiple choices).

The documentation for this struct was generated from the following file:

- saml1.h